%define name libflashsupport

# This file has not been released so use a zero version
%define version 0
# As it's not been released just use the SVN revision as the release
%define release %mkrel 2297.2

Summary: Flash support for PulseAudio, ESD and OSS
Name:    %{name}
Version: %{version}
Release: %{release}
License: Adobe Source Code Licence
Group:   Networking/WWW
Source:  libflashsupport.tar.bz2
URL:     http://pulseaudio.revolutionlinux.com/PulseAudio
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libopenssl-devel
BuildRequires: esound-devel
BuildRequires: libpulseaudio-devel
ExclusiveArch: i586

%description
This version, designed by Revolution Linux, adds support for Esound and
PulseAudio. It also provides automatic detection of the sound system.

See the README file for more details.

%prep
%setup -q -n %{name}

%build
# Not strictly needed but may be nice when FP finally gets x86_64 support....
perl -pi -e "s|/usr/lib|%{_libdir}|g;" Makefile
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
install -m 755 libflashsupport.so %{buildroot}%{_libdir}

%files 
%defattr(-,root,root)
%doc README*
%{_libdir}/libflashsupport.*

%clean
rm -rf %{buildroot}



%changelog
* Fri May 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0-2297.2mdv2008.0
+ Revision: 31082
- Clean up the package description - refer to README instead.

* Tue Apr 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0-2297.1mdv2008.0
+ Revision: 17761
- Import libflashsupport

